Gym Management

by
Odoo
v 14.0 Third Party 446
Download for v 14.0 Deploy on Odoo.sh
Lines of code 1238
Technical Name gym_system
LicenseAGPL-3
Also available in version v 15.0 v 11.0 v 10.0 v 12.0 v 13.0
You bought this module and need support? Click here!
Lines of code 1238
Technical Name gym_system
LicenseAGPL-3
Also available in version v 15.0 v 11.0 v 10.0 v 12.0 v 13.0

Gym Management

This module allow you to manage your Gym and activities running under gym.

Following features

  • Add the exercises
  • Set Schedule for particular Customer
  • Set nutrition plane
  • BMI Calculation
  • Calory Calculator

Menu:

  • Exercise:
    • Body Parts
    • Exercises
    • Muscles
    • Exercise Overview
  • Equipment
  • Ingredients
  • Workouts
  • Create Workouts Schedule
  • Workouts Schedules
  • Print Workouts Schedules
  • Nutrition Plans
  • BMI Calculation
  • Daily Calories Calculator
  • Weight Entry Overview

Software Escarlata

Visit us:
https://softwareescarlata.com

Exercise Overview

Create Workout Schedule from wizard

Workout Schedule

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
Not compatible with Odoo 13 and Odoo 14
by
michal-kolodziej@wp.pl
on 9/6/21, 6:16 AM

Hello, I'd love to test your module, but it is not compatible with Odoo 14 as it claims on this website. In the manifest file it clearly says version 12.0 and it throws errors during installation.

Do you plan to upgrade the module to Odoo 14?


by
David Montero Crespo
on 4/27/21, 10:08 AM Author







I am getting the following error, could you help me pelase?
by
Calogero Salvatore Rizzo
on 11/2/20, 2:52 PM

Errore:

Odoo Server Error


Traceback (most recent call last):

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 624, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 310, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\pycompat.py", line 14, in reraise

    raise value

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 669, in dispatch

    result = self._call_function(**self.params)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 350, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\service\model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 339, in checked_call

    result = self.endpoint(*a, **kw)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 915, in __call__

    return self.method(*args, **kw)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\http.py", line 515, in response_wrap

    response = f(*args, **kw)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1326, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\web\controllers\main.py", line 1314, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 387, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\api.py", line 374, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-60>", line 2, in button_immediate_install

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 72, in check_and_log

    return method(self, *args, **kwargs)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 463, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\addons\base\models\ir_module.py", line 573, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\registry.py", line 86, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 423, in load_modules

    loaded_modules, update_module, models_to_check)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 315, in load_marked_modules

    perform_checks=perform_checks, models_to_check=models_to_check

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 225, in load_module_graph

    load_data(cr, idref, mode, kind='data', package=package, report=report)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\modules\loading.py", line 68, in load_data

    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 736, in convert_file

    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)

  File "C:\Program Files (x86)\Odoo 13.0\server\odoo\tools\convert.py", line 786, in convert_xml_import

    relaxng.assert_(doc)

  File "src\lxml\etree.pyx", line 3579, in lxml.etree._Validator.assert_

AssertionError: Element odoo has extra content: data, line 3


thanks for the module
by
liuhaiyan
on 11/1/20, 8:23 AM

hello,

Thank you share the module.

when I install the module,I get this error:

Odoo Server Error
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 682, in dispatch
    result = self._call_function(**self.params)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 358, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 346, in checked_call
    result = self.endpoint(*a, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 911, in __call__
    return self.method(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 530, in response_wrap
    response = f(*args, **kw)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1363, in call_button
    action = self._call_kw(model, method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 1351, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 396, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
  File "/usr/lib/python3/dist-packages/odoo/api.py", line 383, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "<decorator-gen-71>", line 2, in button_immediate_install
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 73, in check_and_log
    return method(self, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 474, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 592, in _button_immediate_function
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 89, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 453, in load_modules
    processed_modules += load_marked_modules(cr, graph,
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 346, in load_marked_modules
    loaded, processed = load_module_graph(
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 221, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package)
  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 69, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind)
  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 733, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate)
  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 782, in convert_xml_import
    relaxng.assert_(doc)
  File "src/lxml/etree.pyx", line 3547, in lxml.etree._Validator.assert_
Exception
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 638, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/usr/lib/python3/dist-packages/odoo/http.py", line 314, in _handle_exception
    raise exception.with_traceback(None) from new_cause
AssertionError: Element odoo has extra content: data, line 3